/*
 *  shouldrun.h
 *  launcharbiter
 *
 *  Created by Graham Lee on 30/09/2005.
 *  Copyright 2005 __MyCompanyName__. All rights reserved.
 *
 */

/*
 * each failure mode should have a new entry in the arbiter_sr enum, so that we can tell syslog what happened
 * and, if we decided to veto the run, we can tell syslog why :-)
 */
typedef enum {
	ARBITER_RUN=0,
	ARBITER_VETO_BATTERY,
	ARBITER_VETO_USERDENIED
} arbiter_sr;

/*
 * each policy should have a flag in arbiter_flags.  We can then set it in either the global or per-command dict
 */
typedef struct {
	int battery:1,
		allowdenyuser:1,
		asyetunused:30;
} arbiter_flags;

arbiter_sr shouldrun(const char *bn, NSDictionary *dict);